Subject: problems with rules --and portals?

From: [email-masked] (Alfredo Sanchez)
Date: Wed, 4 Aug 93 13:54:07 -0700

Hello,

I defined the rule:

define rewrite rule notifier
is on append to Attributes where new.value = "movie"
do retrieve (x=notifier())\g

and it works as I expected when I append instances to
the Attributes class (which has the "name" and "value"
text attributes). The new instance is appended and
the notifier() function is called. I tried this using
the terminal monitor. However, when I run a program
using PQlib to append instances avoiding duplicates,
the rule seems to cause problems. Specifically,
the program fails to close a portal I use to get
the existing attributes. If I remove the rule, the
program works well. 

Any explanation?

Thanks in advance,

J Alfredo Sanchez H
-------------------
Hypermedia Research Lab
Texas A&M University